import { h } from "@stencil/core";
export class DgaLinkUsage {
    constructor() {
        this.variant = 'neutral';
    }
    render() {
        return (h("div", { key: 'adce2ecf4f8b18f4d2c0b55565c7e1bcbc0d0146' }, h("h1", { key: '0a964cd1a7b310f6b0e1721adb569c87226ed0a4' }, "Link Example"), h("div", { key: 'd190b7484c44bdc697d1805c87613d8230104b93', style: { padding: '50px', display: 'flex', gap: '20px' } }, h("div", { key: '0cc7d1f55942498141bea4cba10e4040adadc746', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }, h("dga-link", { key: '08c2fa30a16d306ce87c6903cbf76f610ce626fe', label: "Link", variant: "neutral" }), h("dga-link", { key: '02109cd5e701f3b4000fb8432ac9e8002f22a6c7', label: "Link", variant: "on-color" }), h("dga-link", { key: '156d489b3f3237dc728482251269811e6a022a3d', label: "Link", variant: "primary" })), h("div", { key: '36e5bcc965665713d663253b408537670ce88049', style: { display: 'flex', flexDirection: 'column', gap: '20px' } }))));
    }
    static get is() { return "dga-link-usage"; }
    static get states() {
        return {
            "variant": {}
        };
    }
}
